using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using System.Runtime.InteropServices; //requirement class

namespace dlltest
{
	public class Form1 : System.Windows.Forms.Form
	{
		//import the AdultPDFPasswordRecovery.dll and declare the methods to use

		[DllImport("apPDFPasswordRecovery", EntryPoint="_DecryptPDF@36", CallingConvention=CallingConvention.StdCall)] 
		public static extern long DecryptPDF (String inFileName, String outFileName, String OwnerPassword, String UserPassword, String keywords, String subject, String title, String author, String creator); 
 
		[DllImport("apPDFPasswordRecovery", EntryPoint="_IsEncryptPDF@4",CallingConvention=CallingConvention.StdCall)] 
		public static extern int IsEncryptPDF ( String inFileName ); 
		
		[DllImport("apPDFPasswordRecovery", EntryPoint="_IsPDFFormat@4",CallingConvention=CallingConvention.StdCall)] 
		public static extern int IsPDFFormat ( String inFileName ); 


		private System.Windows.Forms.Button button1;
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			InitializeComponent();
		}
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		private void InitializeComponent()
		{
			this.button1 = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(64, 104);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(160, 40);
			this.button1.TabIndex = 0;
			this.button1.Text = "button1";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(292, 273);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.button1});
			this.Name = "Form1";
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion


		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
		
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			String srcpath;
			String despath;
			String sUser;
			String sOwner;
			
			srcpath = "encrypt1.pdf";

			if(IsPDFFormat(srcpath)>0)
			{
				if(IsEncryptPDF(srcpath)>0)
				{
		            
					despath = "decrypt_owner.pdf";
					sUser = "";
					sOwner = "owner";

					DecryptPDF (srcpath, despath, sOwner, sUser, "keywords", "subject", "title", "author", "creator");

					despath = "decrypt_user.pdf";
					sUser = "user";
					sOwner = "";
					DecryptPDF (srcpath, despath, sOwner, sUser, null, null, null, null, null);
				}
			}			
			
			srcpath = "encrypt2.pdf";
			despath = "decrypt2.pdf";
			sUser = "";
			sOwner = "";

			DecryptPDF (srcpath, despath, sOwner, sUser, null, null, null, null, null);

		}
	}
}
